Subject: [SIP] Re: help on SIP headers

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 03 Apr 2000 03:28:31 -0400

SIP messages can contain any URI wherever a SIP URL can appear. WHilst
its not forbidden to put an http URL or a URN in the to and from field
(and things will still work, but it might not get routed too far), I'm
not sure why you'd want to do that. We have generally discussed using
tel URLs in these places, in addition to SIP URLs. 

I'm curious where you found these messages?

-Jonathan R.

jimmy Zhang wrote:
> 
> Since I am pretty new to SIP, please forgive me for asking naive
> questions, such as
> the following one.
> 
>    In the specificiation, both "to" and "from" fields require the sip
> address to be in
> the form of either "sip:[email-masked]" or "anonymous
> <sip:[email-masked]>".
> But I just collected some sample messages in which both "to" and
> "from" headers were
> in different looks, e.g. "to: isbn:2983792873" and "From:
> http://www.cs.columbia.edu". Just
> wondering if anyone could explain, in the case that they are both
> valid,  why http URL would
> be allowed in the From or To headers? Also, aside from "isbn", what
> are other possible
> prefixes allowed?
> 
> thanks,
> 
> --
> 
> Jimmy zhang ([email-masked])
> 
> Software Engineer
> 
> 

-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip